x0 = [1 1 10^-6.5 1e-9 1e-9 1e-9 1e-9]';
x = newton('avloppfunk',x0,1e-10)

disp('Fria joner (%)')
disp('    Cd        Pb        Cu')
disp(x(1:3)'/1e-6*100)
disp('Komplexbundna joner (%)')
disp('    Cu(OH)    Pb(OH)    Cd(OH)')
disp(x(5:7)'/1e-6*100)

%ii)
Cd = [5.27 1.67 0.527 0.167 0.0527];
Pb = [1.42e-5 4.49e-6 1.42e-6 4.49e-7 1.42e-7];
Cu = [2.2e-5 6.96e-6 2.2e-6 6.96e-7 2.2e-7];
pH = 7:0.5:9;
ph = 7:0.05:9;
cd = spline(pH,Cd,ph);
pb = spline(pH,Pb,ph);
cu = spline(pH,Cu,ph);
figure(1)
plot(ph,pb,ph,cu,pH,Pb,'b+',pH,Cu,'g+')
xlabel('pH')
ylabel('Procentuell frdelning av fria joner')
title('Ca^2^+ och Cu^2^+')
grid
figure(2)
plot(ph,cd,pH,Cd,'+')
xlabel('pH')
ylabel('Procentuell frdelning av fria joner')
title('Cd^2^+')
grid