function y = f(x)

%---------------------
% Cd       ->   x(1)
% Pb       ->   x(2)
% Cu       ->   x(3)
% OH       ->   x(4)
% Cu(OH)2  ->   x(5)
% Pb(OH)2  ->   x(6)
% Cd(OH)2  ->   x(7)
%---------------------

Ksp = [5.27e-15 1.42e-20 2.2e-20];
pH = 7.5;
OHtot = 10^-(14-pH);
Cdtot = 1e-6;
Pbtot = 1e-6;
Cutot = 1e-6;

y = zeros(size(x));

y(1) = Ksp(1) -  x(1)*x(4);
y(2) = Ksp(2) -  x(2)*x(4);
y(3) = Ksp(3) -  x(3)*x(4);
y(4) = Cdtot  - (x(1)+x(7));
y(5) = Pbtot  - (x(2)+x(6));
y(6) = Cutot  - (x(3)+x(5));
y(7) = OHtot  -  x(4);