%--------------------------------------------------------
% separation.m r ett MATLAB-script som simulerar en 
% separationsprocess. Programmet har beteckningar fr 
% Anilin men kan enkelt ndras till NP genom att ndra
% Kow och KA i sepfunk.m. Deras kemiska frlopp r p
% intet stt kopplade till varandra i den hr modellen
% varfr de inte behver att lsas samtidigt.
%--------------------------------------------------------

global pH AnilinAQ0 Anilinjon0 AnilinOKT0 

pH = 7;  %Vtejonkoncentrationen i kolonnen
n = 10;  %Antalet separationssteg

AnilinAQ0  = 1e-3;  %Begynnelsekoncentrationen i vattenfasen
AnilinOKT0 = 0;     %Begynnelsekoncentrationen i oktanolfasen
Anilinjon0 = 0;     %Begynnelsekoncentrationen av joner i 
                    %vattenfasen

%--------------Separationsprocessen-----------------%


for i = 1:n 
   
   x = newton('sepfunk',[1 1 10^-pH 1]',1e-10); %Lser jmviktsproblemet
   
   AnilinAQ1(i)  = x(2);       %Koncentrationen i vattenfasen fr steg i
   AnilinOKT1(i) = x(1);       %Koncentrationen i oktanolfasen fr steg i
   Anilinjon1(i) = x(4);       %Jonkoncentrationen i vattenfasen fr steg i
   
   AnilinAQ0     = AnilinAQ1(i);    %Inkoncentration till steg i+1
   Anilinjon0    = Anilinjon1(i);   %Inkoncentration till steg i+1
end

Anilin_ut(1) = AnilinAQ1(n)+Anilinjon1(n);  %Koncentrationen efter separations-
                                            %kolonnen
                                            
                                            
%---------------Tvttningsprocessen------------------%
                                            

for k = 1:350          %Antal tvttar
   
   AnilinAQ0  = 0;     %Begynnelsekoncentrationen i lsningsmedlet
   Anilinjon0 = 0;     %Begynnelsekoncentrationen i lsningsmedlet
   
   for i = 1:n
      AnilinOKT0   = AnilinOKT1(i);   %Koncentrationen i oktanolfasen frn cykel k-1
      
      x = newton('sepfunk',[1 1 10^-pH 1]',1e-10);  %Lser jmviktsproblemet
      
      AnilinAQ(i)  = x(2);            %Koncentrationen i vattenfasen fr steg i
      Anilinjon(i) = x(4);            %Koncentrationen i oktanolfasen fr steg i
      AnilinOKT(i) = x(1);            %Jonkoncentrationen i vattenfasen fr steg i
      
      AnilinAQ0    = AnilinAQ(i);     %Inkoncentration till steg i+1
      Anilinjon0   = Anilinjon(i);    %Inkoncentration till steg i+1
   end
   
   Anilin_ut(k+1) = AnilinAQ(n)+Anilinjon(n);    %Koncentrationen efter separationskolonnen
   AnilinOKT1 = AnilinOKT;                       %Koncentrationen i oktanolfasen efter  
                                                 %k:te tvttningscykeln
end

plot(Anilin_ut,'--')
ylabel('M')
xlabel('Tid (antal skljningscykler)')
grid

