function y = f(x)

%------------------------------
% Anilin(okt) (NP(okt)) -> x(1)
% Anilin(aq)  (NP(aq))  -> x(2)
% H           (OH)      -> x(3)
% Anilin+     (NP-)     -> x(4)
%-------------------------------

global pH AnilinAQ0 Anilinjon0 AnilinOKT0 

K1 = 7.9;         %Kow Anilin
K2 = 10^-4.63;    %KA  Anilin
%K1 = 40;         %Kow NP
%K2 = 10^-7.11;   %KA  NP

y = zeros(size(x));

y(1) = K1*x(2) - x(1);        %Gller fr Anilin
%y(2) = K2*x(2) - x(4)*x(3);  %Gller fr NP
y(2) = K2*x(4) - x(2)*x(3);
y(3) = AnilinAQ0+Anilinjon0+AnilinOKT0-x(1)-x(2)-x(4);
y(4) = x(3) - 10^-pH;         %Vtejonkoncentrationen (Anilin)
%y(4) = x(3) - 10^-(14-pH);   %Hydroxidjonkoncentrationen (NP)

