function x=newton1(f,Df,x0,tol)
% newton - newton algorithm for the system of equations f(x)=0
% 
%   Syntax: 
%           x = newton1(f,Df,x0,tol)
%   Arguments: 
%           f - string containing the name of a function file  
%           Df - string containing the name of a function file  
%           x0 - an nx1 matrix, the initial approximation
%           tol - a positive number, the tolerance 
%   Returns: 
%           x - an nx1 matrix, an approximate solution 
%   Description:
%           The program newton1 uses Newton's method to compute an 
%           approximate solution of the system of equations f(x)=0.  
%           The file f.m must contain the function y=f(x).  
%           The file Df.m must contain the Jacobian matrix A=f'(x).    
%           Here x,x0,y are of type nx1 and A is of type nxn.
%           If the initial approximation x0 is sufficiently close 
%           to an exact root x_exact, then the program
%           computes an approximate solution x with the error
%           |x-x_exact| < tol.  
%   Examples: 
%          x = newton('sin', 'cos', 3, 1e-7) computes pi to 7 decimals
%          x = newton('funk1', 'Dfunk1', 3, 1e-7) computes the square 
%          root of 2
%   See also:
%          bisec.m, fixpoint.m, regula_falsi.m
%

%----------------------------------------------------------------------
%   Bugs:
%
%   Date created: 
%
%   Author:
%   
%
%   Change history:
%
%------------------------------+---------------------------------------+

Write your program here!

Newton's method is:

while    |h|>tol
evaluate A=Df(x) and b=-f(x)
solve    Ah=b
update   x=x+h

Note that the matlab command 

h=A\b

solves the linear system Ah=b.  
 



