function uprime = crash(t,u)
% crash - function for the crash model. 
% 
%   Syntax: 
%           uprime = crash(t,u)
%   Arguments: 
%           t - time, a real number
%           u - a 2x1 column vector
%   Returns: 
%           uprime - a 2x1 column vector
%           
%   Description:
%
%           This function is used by ode23 for solving systems 
%           of the form  u'=f(t,u).  The function defines the 
%           equations for the "crash model". 
%
%   Example: 
%
%          [t,u]=ode23('crash', [0, 20], [1; kappa*epsilon]);
%          plot(t,u)
%

%----------------------------------------------------------------------
%
%   Date created: 
%          
%   Author:
%
%------------------------------+---------------------------------------+

uprime=zeros(2,1);  % create a column vector of zeros
lambda=
epsilon=
uprime(1)=epsilon - epsilon*u(1) + lambda*u(1)*u(2);   
uprime(2)=

