function y=no2a(u)
% Oxidation of NO to NO2.
% Atkins and Jones, first edition, pp. 624-625
% This function computes the quotient of 
% the rate u4' and the overall third order 
% rate law u2*u1^2.  This quotient should 
% be equal to 2*k11*k21/k12.

k11=10;
k12=10;
k21=.01;
% k22=.0001;
k22=0;

% k11=1;k12=1;k21=1;

r21=k21.*u(:,2).*u(:,3);
r22=k22.*u(:,4).^2;

y=(2*r21-2*r22)./(u(:,2).*u(:,1).^2);

