function i=midpoint(f,int,h)
% midpoint - midpoint quadrature rule
% 
%   Syntax: 
%           i=midpoint(f,int,h)
%   Arguments: 
%           f - string containing the name of a function file  
%           int - 1x2 matrix specifying an interval int=[a,b]
%           h - the stepsize, a positive real number
%   Returns: 
%           i - an approximation of the integral of f over 
%               the interval int=[a,b]
%   Description:
%           The program midpoint computes the integral of the function
%           f over the interval int=[a,b].  The file f.m must contain
%           the function y=f(x).  The program uses the midpoint 
%           quadrature rule with a uniform mesh with stepsize h. 
%
%   Examples: 
%          x = midpoint('sin',[0,pi],1e-3)  computes  x=2
%          x = midpoint('funk1',[0,1],1e-3) computes  x=-5/3
%   See also:
%          errorbound.m
%

%----------------------------------------------------------------------
%   Bugs:
%
%   Date created: 
%          
%   Author:
%          
%
%   Change history:
%
%------------------------------+---------------------------------------+
a=int(1); b=int(2);        % endpoints of interval 

Write the rest of the program here!