function La = vecReflect(a, b)
% vecProj - Compute the reflection of b in the line a
%   
% 
%   Syntax: 
%           Lb = vecReflect(a, b)
%   Arguments: 
%           a  - The vector to reflect in
%           b  - The vector to reflect
%   Returns: 
%           Lb - The reflected vector
%           
%   Description:
%
%            Compute the reflection of b in the line a
%           
%   See also:
%

%----------------------------------------------------------------------
%   Bugs:
%
%   Date created: 
%          990910
%   Author:
%          Marten Levenstam
%
%   Change history:
%
%                              +---------------------------------------+ 
%                              |     Matematik Kf/Kb 1999-2000         | 
%                              |     Copyright (c) 1999                | 
%                              |                                       | 
%                              |     Marten Levenstam                  | 
%                              |     Klas Samuelsson                   | 
%                              |     Dep. of Mathematics               | 
%                              |     Chalmers University of Technology | 
%                              |     S-412 96 Gothenburg               | 
%                              |     SWEDEN                            |     
%                              |     martenl@math.chalmers.se          |     
%                              |                                       |     
%------------------------------+---------------------------------------+
if vecIsInR2(a) & vecIsInR2(b)
  Pb = vecProj(a, b);
  Lb = Pb - (b - Pb);
else
  error('vecReflect: a or b is not in R2');
end

