function [t,u]=my_ode(f,int,u0,h)
% my_ode - solves initial value problem for general system of 
%          ordinary differential equations u'=f(t,u) 
%   Syntax: 
%           [t,u]=my_ode(f,int,u0,h)
%   Arguments: 
%           f   - string containing the name of a function file  
%           int - 1x2 matrix specifying a time interval int=[a,b]
%           u0  - dx1 matrix specifying an initial value
%           h   - positive number, the stepsize
%   Returns: 
%           t - nx1 matrix containg the time points with t(1)=a
%           u - nxd matrix containing the approximate solution
%   Description:
%           The program computes an approximate solution of the intial 
%           value problem  u'=f(t,u), a<t<b; u(a)=u0.  Here u, f, 
%           and u0 are column vectors of dimension d.  The file f.m 
%           must contain the function f(t,u) with syntax uprime=f(t,u). 
%           The program returns the nx1 matrix t of time points with 
%           t(1)=a and the nxd matrix u with row number i containing 
%           the transposed solution vector at time t(i).  
%           The program uses the Euler forward method. 
%   Examples: 
%          [t,u]=my_ode('crash', [0, 20], [1; kappa*epsilon],.01);
%   See also:
%          crash.m, ode23.m, ode45.m, ode15s.m 
%           

%----------------------------------------------------------------------
%   Bugs:
%
%   Date created: 
%          
%   Author:
%          
%
%   Change history:
%
%------------------------------+---------------------------------------+
Write your program here! 
Hint:
first let u be a dxn matrix
u(:,i) denotes column i of the matrix u 
compute these columns by the euler forward method
finally transpose u so that it becomes a nxd matrix 









