function x=regula_falsi(f,int,tol)
% regula_falsi - regula falsi algorithm for the scalar equation f(x)=0
% 
%   Syntax: 
%     x = regula_falsi(f,int,tol)
%   Arguments: 
%     f - string containing the name of a function file  
%     int - 1x2 matrix specifying an interval int=[a,b]
%     tol - a tolerance 
%   Returns: 
%     x - an approximate solution in the interval int=[a,b]
%   Description:
%     The program regula_falsi uses the regula falsi algorithm to 
%     compute an approximate solution of the scalar equation
%     f(x)=0 in the interval int=[a,b].  The file f.m must 
%     contain the function y=f(x).  The function values f(a) 
%     and f(b) must have opposite signs.  Then the program
%     computes an approximate solution x with the error
%     |x-x_exact| < tol.  It returns an empty value for x if
%     f(a) and f(b) have the same sign.  
%   Examples: 
%     x = regula_falsi('sin',[1,4],1e-7) computes pi to 7 decimals
%     x = regula_falsi('funk1',[0,3],1e-7) computes the square root of 2
%   See also:
%     bisec.m, fixpoint.m, newton.m
%

%----------------------------------------------------------------------
%   Bugs:
%
%   Date created: 
%
%   Author:
%   
%
%   Change history:
%
%------------------------------+---------------------------------------+

Write your program here!
